Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class GVTTreeRendererEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.swing.gvt.GVTTreeRendererEvent

All Implemented Interfaces:
  java.io.Serializable

public class GVTTreeRendererEvent
extends java.util.EventObject

This class represents an event which indicate an event originated from a GVTTreeRenderer instance.

See Also:
  Serialized Form

Field Summary
`protected java.awt.image.BufferedImage` | `image` The buffered image.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GVTTreeRendererEvent(java.lang.Object source, java.awt.image.BufferedImage bi)` Creates a new GVTTreeRendererEvent.

Method Summary
`java.awt.image.BufferedImage` | `getImage()` Returns the image to display, or null if the rendering failed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected java.awt.image.BufferedImage image

  The buffered image.

Constructor Detail

### GVTTreeRendererEvent

    public GVTTreeRendererEvent(java.lang.Object source,
                                java.awt.image.BufferedImage bi)

  Creates a new GVTTreeRendererEvent.

Parameters:
  `source` - the object that originated the event, ie. the GVTTreeRenderer.
  `bi` - the image to paint.

Method Detail

### getImage

    public java.awt.image.BufferedImage getImage()

  Returns the image to display, or null if the rendering failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.